export let cubeRuleModule = {

  required(config) {
    // 容器是否必填，业务参数
    let t = config[1].list[0].item.config.find((tt) => tt.dataIndex == 'containerCode')
    if (!t.required) t.required = true
    //运输方式、起运时间、运输单位非必填
    console.log( config[0].list[1],'config[0]');
    if (!config[0].list[1]) return
    config[0].list[1].item.config.forEach((tt) => {
      if (tt.name === 'shipType' || tt.name === 'carriername' || tt.name === 'shipFromDate') {
        tt.required = false
      }
    })
    return config;
  }





}